Bug 605320 - Messages with attachments do not show the attachment icon in the messages pane
Messages with attachments do not show the attachment icon in the messages pane
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: evolution-data-server (Show other bugs)
6.0
All Linux
low Severity medium
: rc
: ---
Assigned To: Matthew Barnes
desktop-bugs@redhat.com
: Regression
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-06-17 12:11 EDT by Jay Turner
Modified: 2015-01-07 19:17 EST (History)
2 users (show)

See Also:
Fixed In Version: evolution-2.28.3-8.el6
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-07-15 12:01:18 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Redacted problem message (2.31 KB, text/plain)
2010-06-17 12:11 EDT, Jay Turner
no flags Details


External Trackers
Tracker ID Priority Status Summary Last Updated
GNOME Bugzilla 550622 None None None Never
GNOME Bugzilla 604305 None None None Never

  None (edit)
Description Jay Turner 2010-06-17 12:11:39 EDT
Created attachment 424870 [details]
Redacted problem message

Description of problem:
I'm running evolution-2.28.3-5.el6.x86_64 and imap, pulling all mail down from the server and filtering it locally.  When browsing the local folders, there will sometimes be a message which has attachments, but does not show the attachment icon in the message pane (no little paperclip.)  In addition, if I perform an advanced search, checking for all messages where an attachment exists, these messages will not be included in the listing.

Version-Release number of selected component (if applicable):
2.28.3-5.el6.x86_64

How reproducible:
Always for these messages . . . the attachment icon never appears.

Steps to Reproduce:
1. Have one of these messages in a mailbox
2.
3.
  
Actual results:

Expected results:
The paperclip icon should appear and the messages should be found when searching for all messages were an attachment exists.

Additional info:
Comment 1 Jay Turner 2010-06-17 12:13:11 EDT
Additional note.  I "redirected" this message to someone using evolution-2.30.1-8.fc13.x86_64 and the paperclip icon appears as expected.  Also in trolling through his mailbox, we were unable to find a message with an attachment which was missing the icon.
Comment 2 RHEL Product and Program Management 2010-06-17 12:13:26 EDT
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux major release.  Product Management has requested further
review of this request by Red Hat Engineering, for potential inclusion in a Red
Hat Enterprise Linux Major release.  This request is not yet committed for
inclusion.
Comment 4 Milan Crha 2010-06-21 07:34:37 EDT
Thanks for a bug report. This sounds like [1], where is also attached a patch.

Note whether evolution UI shows an attachment in the message preview depends on your preferences for HTML messages, as "Only ever show plain text" produces also an attachment in the preview pane, though there is none real attachment. It's not this case, I just wanted to mention it here.

[1] https://bugzilla.gnome.org/show_bug.cgi?id=550622
Comment 7 Matthew Barnes 2010-06-23 19:26:26 EDT
Upstream patch applied to evolution-data-server-2.28.3-7.el6.
Comment 8 Jay Turner 2010-06-28 06:37:24 EDT
After updating to evolution-2.28.3-7.el6 and evolution-data-server-2.28.3-7.el6, I'm still seeing the same behavior (a number of messages which have attachments but are missing the attachment icon.)  Also wanted to note that the messages I'm seeing this with are not signed therefore I do not believe are impacted by the proposed solution outlined in comment 4.  Moving back to assigned.
Comment 11 Milan Crha 2010-06-28 13:49:24 EDT
The change, unfortunately, doesn't fix already downloaded messages, thus being it imap you could delete the local cached message (in ~/.evolution/mail/imap/<account>) and the next start and all refetch it should be fixed, when you select the message. But as you have it in a local folder, I suppose only moving a message to a different folder and back may fix this.
Comment 12 Jay Turner 2010-06-28 15:30:25 EDT
Maybe I'm just stupid, but neither moving the message between folders, nor "bouncing" the message to myself (and thus making it a new message) causes the attachment icon to appear.
Comment 13 Milan Crha 2010-06-29 04:13:57 EDT
Ah, I see it now, your message has a content-disposition as "inline", whereas camel checks for "attachment" disposition only. The fix for this is in:
https://bugzilla.gnome.org/show_bug.cgi?id=604305

And thinking of my suggestion to move messages between local folders, I'm not 100% sure whether it'll help, but with a bit of luck... Anyway, including also the second patch will fix the issue finally, at least for newly downloaded messages. I suggest to devel-ack this.
Comment 15 Milan Crha 2010-06-29 05:49:44 EDT
I just built evolution-data-server-2.28.3-8.el6 with an updated patch for this bug.

Note You need to log in before you can comment on or make changes to this bug.